QGIS Application - Bug report #12387
Value map fields are always treated as text
2015-03-17 02:02 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 20561

Description

| have a PostGIS layer with a numeric field, which is configured to "Value Map" edit widget.

When I'm editing the field value in attribute table panel, | get a dropdown list of mapped descriptions, but when | choose one, the value in
a table doesn’t change to what I've chosen.

When | edit the same field through an Edit Feature form, the value does change. Can anyone confirm if it's a bug?

I'm running QGIS 2.8 on OS X 10.10.2 installed with Homebrew.

Related issues:

Related to QGIS Application - Bug report # 6515: values in "value map" edit w... Closed 2012-10-14
Duplicates QGIS Application - Bug report # 12625: Difficult to set value in d... Closed 2015-04-22
History

#1 - 2015-03-17 04:03 AM - Giovanni Manghi

- Subject changed from No changes when editing value mapped field in attribute table panel to Value map fields are always treated as text
- Target version changed from Version 2.8 to Future Release - Nice to have

- Category changed from Attribute table to Edit widget

- Affected QGIS version changed from 2.8.1 to master

- OS version deleted (10.10.2)

- Operating System deleted (OS X)

This is because the value map treat the list always as text. There is already a ticket about this issue, but is more because of the "wrong" list ordering when
the list is made of numbers. | guess that when it will be possible to specify that a value map has to be considered a number list then both issue will be

solved.

#2 - 2015-06-10 01:31 AM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to duplicate
